<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/list_bg"
    android:orientation="vertical"
    tools:context=".activity.GjjQueryInfoActivity">

    <include layout="@layout/title_tool_bar" />

    <!--运单信息 中间-->
    <androidx.core.widget.NestedScrollView
        android:id="@+id/scrollView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_margin="5dp"
        android:layout_weight="5"
        android:background="@drawable/collect_item_shape"
        android:fillViewport="true"
        android:overScrollMode="never">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <!--主运单详情 内容区-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/gncQueryInfoList"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />

            </LinearLayout>

            <!--            关联仓库信息 分割线-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_gravity="center_vertical"
                android:layout_marginTop="20dp"
                android:layout_marginBottom="20dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <View
                    android:layout_width="0dp"
                    android:layout_height="2dp"
                    android:layout_weight="2"
                    android:background="@drawable/dash_line"
                    android:layerType="software" />

                <LinearLayout
                    android:id="@+id/refWareHouseInfo"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_gravity="center_vertical"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:text="关联仓库信息"
                        android:textColor="@color/colorPrimary"
                        />

                    <ImageView
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_marginLeft="5dp"
                        android:src="@mipmap/open_show"
                        app:tint="@color/colorPrimary" />
                </LinearLayout>

                <View
                    android:layout_width="0dp"
                    android:layout_height="2dp"
                    android:layout_weight="2"
                    android:background="@drawable/dash_line"
                    android:layerType="software" />
            </LinearLayout>
            <!--关联仓库信息 内容区-->
            <LinearLayout
                android:id="@+id/wareHouseInfoLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginTop="20dp"
                android:background="@color/list_bg"
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:visibility="gone">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/gncQueryWareHouseInfoList"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginBottom="5dp"
                    android:overScrollMode="never" />

            </LinearLayout>

        </LinearLayout>
    </androidx.core.widget.NestedScrollView>


    <!--    底部-->
    <LinearLayout

        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:orientation="horizontal"
        android:padding="5dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="10dp">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1" />

            <TextView
                android:id="@+id/submit"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/submit_shape"
                android:gravity="center"
                android:text="运单流程图"
                android:textColor="@color/white"
                />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1" />


        </LinearLayout>


    </LinearLayout>
</LinearLayout>